import Vue from 'vue'
import auim from '@agree/aui-m'
Vue.use(auim)

let contexts = require.context('./src/components', true, /\.vue$/)

const install = Vue => {
    contexts.keys().forEach(component => {
        let componentEntity = contexts(component).default
        console.log('componentEntity.name:', componentEntity.name) 
        // 使用内置的组件名称 进行全局组件注册
        Vue.component(componentEntity.name, componentEntity)
    })
}

//引用文件方式时，会使用，类似jquery方式引入
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

// //按需导出
// export {
//     FcButton,
//     FcInput
// }

//完整导出
// export default 
module.exports = {
    // name: info.name,
    // author: info.author,
    // version: info.version,
    // description: info.description,
    install
    // ,
    // FcButton,
    // FcInput
}